Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface ComponentIdentification

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  ComponentIdentificationImpl

public interface ComponentIdentification
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Component Identification'.

Since:
  1.0

  The following features are supported:

  - `Application`
  - `Component`
  - `Component Type`
  - `Component Id Type`
  - `Execution Environment`
  - `Instance Id`
  - `Location`
  - `Location Type`
  - `Process Id`
  - `Sub Component`
  - `Thread Id`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getComponentIdentification()`

Field Summary
`static java.lang.String` | `COMPONENT_ID_TYPE_APPLICATION` Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_DEVICE_NAME` Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_PROCESS` Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_PRODUCT_NAME` Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_SERVICE_NAME` Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_SYSTEM_NAME` Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_UNKNOWN` Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_DCC` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_DEVICE_NAME` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_DIAL` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_E_164` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_FQ_HOSTNAME` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_HID` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_HOSTNAME` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_HWA` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_ICD` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_IPV4` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_IPV6` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_IPX` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_ISDN` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_NWA` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_OID_OSI` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_SNA` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_UNKNOWN` Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_X25` Well-known type for the 'Location Type' attribute.

Method Summary
`java.lang.String` | `getApplication()` Returns the value of the 'Application' attribute.
`java.lang.String` | `getComponent()` Returns the value of the 'Component' attribute.
`java.lang.String` | `getComponentIdType()` Returns the value of the 'Component Id Type' attribute.
`java.lang.String` | `getComponentType()` Returns the value of the 'Component Type' attribute
`java.lang.String` | `getExecutionEnvironment()` Returns the value of the 'Execution Environment' attribute.
`java.lang.String` | `getInstanceId()` Returns the value of the 'Instance Id' attribute.
`java.lang.String` | `getLocation()` Returns the value of the 'Location' attribute.
`java.lang.String` | `getLocationType()` Returns the value of the 'Location Type' attribute.
`java.lang.String` | `getProcessId()` Returns the value of the 'Process Id' attribute.
`java.lang.String` | `getSubComponent()` Returns the value of the 'Sub Component' attribute.
`java.lang.String` | `getThreadId()` Returns the value of the 'Thread Id' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setApplication(java.lang.String value)` Sets the value of the '`Application`' attribute.
`void` | `setComponent(java.lang.String value)` Sets the value of the '`Component`' attribute.
`void` | `setComponentIdType(java.lang.String value)` Sets the value of the '`Component Id Type`' attribute.
`void` | `setComponentType(java.lang.String value)` Sets the value of the '`Component Type`' attribute.
`void` | `setExecutionEnvironment(java.lang.String value)` Sets the value of the '`Execution Environment`' attribute.
`void` | `setInstanceId(java.lang.String value)` Sets the value of the '`Instance Id`' attribute.
`void` | `setLocation(java.lang.String value)` Sets the value of the '`Location`' attribute.
`void` | `setLocationType(java.lang.String value)` Sets the value of the '`Location Type`' attribute.
`void` | `setProcessId(java.lang.String value)` Sets the value of the '`Process Id`' attribute.
`void` | `setSubComponent(java.lang.String value)` Sets the value of the '`Sub Component`' attribute.
`void` | `setThreadId(java.lang.String value)` Sets the value of the '`Thread Id`' attribute.
`void` | `validate()` Checks whether the contents of this object conform to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### COMPONENT_ID_TYPE_PRODUCT_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_PRODUCT_NAME

  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_DEVICE_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_DEVICE_NAME

  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_SYSTEM_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_SYSTEM_NAME

  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_SERVICE_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_SERVICE_NAME

  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_PROCESS

    public static final java.lang.String COMPONENT_ID_TYPE_PROCESS

  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_APPLICATION

    public static final java.lang.String COMPONENT_ID_TYPE_APPLICATION

  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_UNKNOWN

    public static final java.lang.String COMPONENT_ID_TYPE_UNKNOWN

  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### LOCATION_TYPE_UNKNOWN

    public static final java.lang.String LOCATION_TYPE_UNKNOWN

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_IPV4

    public static final java.lang.String LOCATION_TYPE_IPV4

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_IPV6

    public static final java.lang.String LOCATION_TYPE_IPV6

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_NWA

    public static final java.lang.String LOCATION_TYPE_NWA

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_ISDN

    public static final java.lang.String LOCATION_TYPE_ISDN

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_ICD

    public static final java.lang.String LOCATION_TYPE_ICD

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_OID_OSI

    public static final java.lang.String LOCATION_TYPE_OID_OSI

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_DIAL

    public static final java.lang.String LOCATION_TYPE_DIAL

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_HWA

    public static final java.lang.String LOCATION_TYPE_HWA

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_HID

    public static final java.lang.String LOCATION_TYPE_HID

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_X25

    public static final java.lang.String LOCATION_TYPE_X25

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_DCC

    public static final java.lang.String LOCATION_TYPE_DCC

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_SNA

    public static final java.lang.String LOCATION_TYPE_SNA

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_IPX

    public static final java.lang.String LOCATION_TYPE_IPX

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_E_164

    public static final java.lang.String LOCATION_TYPE_E_164

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_HOSTNAME

    public static final java.lang.String LOCATION_TYPE_HOSTNAME

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_FQ_HOSTNAME

    public static final java.lang.String LOCATION_TYPE_FQ_HOSTNAME

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_DEVICE_NAME

    public static final java.lang.String LOCATION_TYPE_DEVICE_NAME

  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

Method Detail

### getApplication

    public java.lang.String getApplication()

  Returns the value of the 'Application' attribute.

  Returns:
    the value of the 'Application' attribute.
  See Also:
    `setApplication(String)`, `EventPackage.getComponentIdentification_Application()`

### setApplication

    public void setApplication(java.lang.String value)

  Sets the value of the '`Application`' attribute.

  Parameters:
    `value` - the new value of the 'Application' attribute.
  See Also:
    `getApplication()`

### getComponent

    public java.lang.String getComponent()

  Returns the value of the 'Component' attribute.

  Returns:
    the value of the 'Component' attribute.
  See Also:
    `setComponent(String)`, `EventPackage.getComponentIdentification_Component()`

### setComponent

    public void setComponent(java.lang.String value)

  Sets the value of the '`Component`' attribute.

  Parameters:
    `value` - the new value of the 'Component' attribute.
  See Also:
    `getComponent()`

### getComponentType

    public java.lang.String getComponentType()

  Returns the value of the 'Component Type' attribute.

  If the meaning of the 'Component Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component Type' attribute.
  See Also:
    `setComponentType(String)`, `EventPackage.getComponentIdentification_ComponentType()`

### setComponentType

    public void setComponentType(java.lang.String value)

  Sets the value of the '`Component Type`' attribute.

  Parameters:
    `value` - the new value of the 'Component Type' attribute.
  See Also:
    `getComponentType()`

### getComponentIdType

    public java.lang.String getComponentIdType()

  Returns the value of the 'Component Id Type' attribute.

  Returns:
    the value of the 'Component Id Type' attribute.
  See Also:
    `setComponentIdType(String)`, `EventPackage.getComponentIdentification_ComponentIdType()`

### setComponentIdType

    public void setComponentIdType(java.lang.String value)

  Sets the value of the '`Component Id Type`' attribute.

  Parameters:
    `value` - the new value of the 'Component Id Type' attribute.
  See Also:
    `getComponentIdType()`

### getExecutionEnvironment

    public java.lang.String getExecutionEnvironment()

  Returns the value of the 'Execution Environment' attribute.

  Returns:
    the value of the 'Execution Environment' attribute.
  See Also:
    `setExecutionEnvironment(String)`, `EventPackage.getComponentIdentification_ExecutionEnvironment()`

### setExecutionEnvironment

    public void setExecutionEnvironment(java.lang.String value)

  Sets the value of the '`Execution Environment`' attribute.

  Parameters:
    `value` - the new value of the 'Execution Environment' attribute.
  See Also:
    `getExecutionEnvironment()`

### getInstanceId

    public java.lang.String getInstanceId()

  Returns the value of the 'Instance Id' attribute.

  Returns:
    the value of the 'Instance Id' attribute.
  See Also:
    `setInstanceId(String)`, `EventPackage.getComponentIdentification_InstanceId()`

### setInstanceId

    public void setInstanceId(java.lang.String value)

  Sets the value of the '`Instance Id`' attribute.

  Parameters:
    `value` - the new value of the 'Instance Id' attribute.
  See Also:
    `getInstanceId()`

### getLocation

    public java.lang.String getLocation()

  Returns the value of the 'Location' attribute.

  Returns:
    the value of the 'Location' attribute.
  See Also:
    `setLocation(String)`, `EventPackage.getComponentIdentification_Location()`

### setLocation

    public void setLocation(java.lang.String value)

  Sets the value of the '`Location`' attribute.

  Parameters:
    `value` - the new value of the 'Location' attribute.
  See Also:
    `getLocation()`

### getLocationType

    public java.lang.String getLocationType()

  Returns the value of the 'Location Type' attribute.

  Returns:
    the value of the 'Location Type' attribute.
  See Also:
    `setLocationType(String)`, `EventPackage.getComponentIdentification_LocationType()`

### setLocationType

    public void setLocationType(java.lang.String value)

  Sets the value of the '`Location Type`' attribute.

  Parameters:
    `value` - the new value of the 'Location Type' attribute.
  See Also:
    `getLocationType()`

### getProcessId

    public java.lang.String getProcessId()

  Returns the value of the 'Process Id' attribute.

  Returns:
    the value of the 'Process Id' attribute.
  See Also:
    `setProcessId(String)`, `EventPackage.getComponentIdentification_ProcessId()`

### setProcessId

    public void setProcessId(java.lang.String value)

  Sets the value of the '`Process Id`' attribute.

  Parameters:
    `value` - the new value of the 'Process Id' attribute.
  See Also:
    `getProcessId()`

### getSubComponent

    public java.lang.String getSubComponent()

  Returns the value of the 'Sub Component' attribute.

  Returns:
    the value of the 'Sub Component' attribute.
  See Also:
    `setSubComponent(String)`, `EventPackage.getComponentIdentification_SubComponent()`

### setSubComponent

    public void setSubComponent(java.lang.String value)

  Sets the value of the '`Sub Component`' attribute.

  Parameters:
    `value` - the new value of the 'Sub Component' attribute.
  See Also:
    `getSubComponent()`

### getThreadId

    public java.lang.String getThreadId()

  Returns the value of the 'Thread Id' attribute.

  Returns:
    the value of the 'Thread Id' attribute.
  See Also:
    `setThreadId(String)`, `EventPackage.getComponentIdentification_ThreadId()`

### setThreadId

    public void setThreadId(java.lang.String value)

  Sets the value of the '`Thread Id`' attribute.

  Parameters:
    `value` - the new value of the 'Thread Id' attribute.
  See Also:
    `getThreadId()`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conform to the CBE specification.

  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD